Subject: RE: Updates for draft-hinckley-ldapv3-attr-syntax-00 (LONG)

From: "Timothy Hahn" <[email-masked]>
Date: Wed, 13 Dec 2000 08:37:54 -0500

Ryan,

See <TJH></TJH> comments at end - im

See <rm></rm> at end ... Ryan

-----Original Message-----
From: [email-masked]
Subject: Re: Updates for draft-hinckley-ldapv3-attr-syntax-00 (LONG)

Greetings,

Ryan, you wrote:

3. Lastly, there are ten matching rules from the copy of X.520 I was
reading on the plane that aren't in either the 2252 update or
the 2256 update... I'm wondering if they should be included.
I've run into situations where several of them would have been
useful already...

caseExactSubstringMatch
numericStringOrderingMatch
caseIgnoreListSubstringMatch
booleanMatch
integerOrderingMatch
uTCTimeMatch
uTCTimeOrderingMatch
directoryStringFirstComponentMatch
wordMatch
keywordMatch

What does the working group want to do with these?

My feelings here is that we should indicate which syntaxes and matching
rules are MANDATORY to implement (MUST be supported) by servers that
support LDAPv3, and then those that are "recommended".  I believe the
matching rules above would fall into the "recommended" category.

Regards,
Tim Hahn

<rm>
Ok, that's a position.  I would prefer that the following be mandatory
or recommended (this means they have to be implemented for going to
DS) :

caseExactSubstringMatch, numericStringOrderingMatch, booleanMatch,
integerOrderingMatch

because I've run into multiple situations where it would have made life
MUCH easier.

For the rest, I think they can be NOT REQUIRED
(i.e. we don't have to test them).

My important point is that we have to say something.  The current state
of affairs is unacceptable.
</rm>

<TJH>
I agree with you that from the original set above, the four matching rules
listed:

caseExactSubstringMatch
numericStringOrderingMatch
booleanMatch
integerOrderingMatch

should be made MANDATORY.
</TJH>